> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get teams



## OpenAPI

````yaml get /teams
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /teams:
    get:
      tags:
        - Teams
      summary: Get teams
      operationId: getTeams
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamsResponse'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    TeamsResponse:
      type: object
      properties:
        success:
          type: boolean
        teams:
          type: array
          items:
            $ref: '#/components/schemas/Team'
    Team:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        name:
          type: string
        description:
          type: string
        parentTeamId:
          type: string
          nullable: true
        roles:
          type: array
          items:
            $ref: '#/components/schemas/TeamRole'
        syncedDepartments:
          type: array
          items:
            type: string
        autoSyncEnabled:
          type: boolean
        created:
          type: string
          format: date-time
        createdBy:
          type: string
      required:
        - groupId
        - name
        - roles
        - created
    TeamRole:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        isLead:
          type: boolean
        robloxRoleId:
          type: number
        created:
          type: string
          format: date-time
  responses:
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````